#ifndef CharCommon_H
#define CharCommon_H

#include <stdio.h>
#include <string.h>
extern "C"
{
   #include <png.h>
}

#define MAX_WORD_WIDTH (sizeof(unsigned long)*8)   //32 bits or so
#define MAX_WORDS_PER_CHAR 256   
#define MAX_CHARSET_SIZE 256     //no more than 256 characters in an image!
#define MAX_MAP_SIZE 2048        //mapping string is limited to 2KB
                                 //it is unlikely to have more than 100 characters
                                 //when specified in command line, but
                                 //very likely for automatic generation for
                                 //unusually high sizes of character
#define MAX_IMAGE_WIDTH  1024    //max 1024x1024 image - about 1 MB in grayscale
#define MAX_IMAGE_HEIGHT 1024
#endif
